% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/storagegateway_operations.R
\name{storagegateway_add_working_storage}
\alias{storagegateway_add_working_storage}
\title{Configures one or more gateway local disks as working storage for a
gateway}
\usage{
storagegateway_add_working_storage(GatewayARN, DiskIds)
}
\arguments{
\item{GatewayARN}{[required]}

\item{DiskIds}{[required] An array of strings that identify disks that are to be configured as
working storage. Each string has a minimum length of 1 and maximum
length of 300. You can get the disk IDs from the
\code{\link[=storagegateway_list_local_disks]{list_local_disks}} API.}
}
\description{
Configures one or more gateway local disks as working storage for a gateway. This operation is only supported in the stored volume gateway type. This operation is deprecated in cached volume API version 20120630. Use \code{\link[=storagegateway_add_upload_buffer]{add_upload_buffer}} instead.

See \url{https://www.paws-r-sdk.com/docs/storagegateway_add_working_storage/} for full documentation.
}
\keyword{internal}
